org.bukkit.plugin.InvalidPluginException

tip

jsp-api and servlet-api jars must NOT be deployed by your web app. They should be marked as provided but not deployed by your app.

tip

The server rejects all jars that already belong to the server runtime (such as tomcat-**.jar, servlet**.jar). Consider substituting the CORS filter you're using for this one: https://goo.gl/ctQ7Fs

tip

Needs to add netty-transport-native-epoll with a OS classifier to the classpath, it's not included in netty-all

You have a different solution? A short tip here would help you and many other users who saw this issue last week.

  • Does not load on 1.9.4 Spigot
    via GitHub by ReaverRapier
    ,
  • Error Console in Spigot server
    via Stack Overflow by Masters Trios
    ,
  • Dynmap going offline.
    via GitHub by Morris161
    ,
  • converting FlatFile -> SQL
    via GitHub by M9GLiquid
    ,
  • Glitches!
    via GitHub by meguy26
    ,
    • org.bukkit.plugin.InvalidPluginException: Cannot find main class `de.mrtoollp.chat.plugin.Main' at org.bukkit.plugin.java.PluginClassLoader.<init>(PluginClassLoader.java:66)[spigot-1.9.4.jar:git-Spigot-c6871e2-0cd0397] at org.bukkit.plugin.java.JavaPluginLoader.loadPlugin(JavaPluginLoader.java:131)[spigot-1.9.4.jar:git-Spigot-c6871e2-0cd0397] at org.bukkit.plugin.SimplePluginManager.loadPlugin(SimplePluginManager.java:329)[spigot-1.9.4.jar:git-Spigot-c6871e2-0cd0397] at org.bukkit.plugin.SimplePluginManager.loadPlugins(SimplePluginManager.java:251)[spigot-1.9.4.jar:git-Spigot-c6871e2-0cd0397] at org.bukkit.craftbukkit.v1_9_R2.CraftServer.loadPlugins(CraftServer.java:297)[spigot-1.9.4.jar:git-Spigot-c6871e2-0cd0397] at net.minecraft.server.v1_9_R2.DedicatedServer.init(DedicatedServer.java:200)[spigot-1.9.4.jar:git-Spigot-c6871e2-0cd0397] at net.minecraft.server.v1_9_R2.MinecraftServer.run(MinecraftServer.java:532)[spigot-1.9.4.jar:git-Spigot-c6871e2-0cd0397] at java.lang.Thread.run(Unknown Source)[?:1.8.0_101] Caused by: java.lang.ClassNotFoundException: de.mrtoollp.chat.plugin.Main at java.net.URLClassLoader.findClass(Unknown Source)[?:1.8.0_101] at org.bukkit.plugin.java.PluginClassLoader.findClass(PluginClassLoader.java:101)[spigot-1.9.4.jar:git-Spigot-c6871e2-0cd0397] at org.bukkit.plugin.java.PluginClassLoader.findClass(PluginClassLoader.java:86)[spigot-1.9.4.jar:git-Spigot-c6871e2-0cd0397] at java.lang.ClassLoader.loadClass(Unknown Source)[?:1.8.0_101] at java.lang.ClassLoader.loadClass(Unknown Source)[?:1.8.0_101] at java.lang.Class.forName0(Native Method)[?:1.8.0_101] at java.lang.Class.forName(Unknown Source)[?:1.8.0_101] at org.bukkit.plugin.java.PluginClassLoader.<init>(PluginClassLoader.java:64)[spigot-1.9.4.jar:git-Spigot-c6871e2-0cd0397]

    Users with the same issue

    Unknown visitor
    Unknown visitor1 times, last one,
    Unknown visitor
    Unknown visitor1 times, last one,
    Unknown visitor
    Unknown visitor1 times, last one,
    Unknown visitor
    Unknown visitor1 times, last one,
    Unknown visitor
    Unknown visitor1 times, last one,
    1450 more bugmates